package ru.redguy;

import org.apache.commons.io.IOUtils;

import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.util.concurrent.ExecutionException;

public abstract class Task {
    public abstract void run() throws IOException, ExecutionException, InterruptedException;

    public String getFile(String name) throws IOException {
        return IOUtils.resourceToString(name, StandardCharsets.UTF_8, INF.class.getClassLoader());
    }
}
